WoMax Documentation

# t_OMax_render Struct Reference
[Max5 Externals, Data Sequence structure]

OMax.render external. More...

Collaboration diagram for t_OMax_render:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
t_symbol * | dataname
| Pointer to Data Sequence name.
bool | obound
| Binding flag.
O_DataType | datatype
| Type of data.
int | nbcoeffs
| Number of coefficients for spectral.
O_data * | data
| Pointer to Data Sequence structure.
t_atom * | twout
| Array for the output.
t_atom * | coefout
| Array for spectral output.
list< float > * | coeflist
| List to get spectral coeffs.
float * | coeftab
| Float array to transfert spectral coeffs.
void * | out_statenb
| Outlet 0 (leftmost): state number.
void * | out_buf
| Outlet 1: buffer reference & duration (ms).
void * | out_sectphr
| Outlet 2: section & phrase numbers.
void * | out_data
| Outlet 3: descriptor data.
void * | out_bang
| Outlet 4: bang when done.
## Standard Max5 methodes
void * | OMax_render_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_render_free (t_OMax_render *x)
| Object destruction.
void | OMax_render_assist (t_OMax_render *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Internal routines
t_symbol * | OMax_render_name (t_symbol *oname)
| Return Data Sequence name from FO name.
bool | OMax_render_bind (t_OMax_render *x)
| Bind the renderer with Data Structure.
## Input/Output routines
void | OMax_render_setname (t_OMax_render *x, t_symbol *s)
| Changes the OMax.data object to read.
void | OMax_render_read (t_OMax_render *x, long statnb)
| Output all the information of a Data state.

## Detailed Description

OMax.render external.

This externals allows to read an Data Sequence structure (implemented with the external OMax.data ) in Max5

Definition at line 33 of file OMax.render.c.

## Member Function Documentation

bool OMax_render_bind | ( | t_OMax_render * | x | ) |

Bind the renderer with Data Structure.

Remarks:
  Do this binding only once

Check if `name_data` points to an existing OMax.data object. If so, set t_OMax_render::data to point to the Data Sequence structure (t_OMax_data::data member)

Remarks:
  Sets data type too

Definition at line 208 of file OMax.render.c.

Here is the call graph for this function:

t_symbol * OMax_render_name | ( | t_symbol * | oname | ) |

Return Data Sequence name from FO name.

Append `_data` to the FO name

Definition at line 197 of file OMax.render.c.

void * OMax_render_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Check first argument of the Max5 object for a FO name

Definition at line 104 of file OMax.render.c.

void OMax_render_read | ( | t_OMax_render * | x,
|  | long | statnb |
| ) |  |  |

Output all the information of a Data state.

Remarks:
  Input message in Max5: a state number (`int`)

Definition at line 261 of file OMax.render.c.

Here is the call graph for this function:

void OMax_render_setname | ( | t_OMax_render * | x,
|  | t_symbol * | s |
| ) |  |  |

Changes the OMax.data object to read.

Remarks:
  Input message in Max5: `set` followed by the name of an existing 0Max.data object to read

Definition at line 251 of file OMax.render.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- OMax.render.c